hammer fact list: 'organization' not recognized for searching!

06/18/2018 01:31 PM - Shira Maximov

Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link: 1592233 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5740

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1592233

Description of problem:

hammer fact list provides --organization/location options:

1. hammer fact list --help

Usage:

hammer fact list [OPTIONS]

Options:

--location LOCATION_NAME                Location name

--location-id LOCATION_ID

--location-title LOCATION_TITLE         Location title

--order ORDER                           Sort results

--organization ORGANIZATION_NAME        Organization name

--organization-id ORGANIZATION_ID       Organization ID

--organization-title ORGANIZATION_TITLE Organization title

--page PAGE                             Paginate results

--per-page PER_PAGE                     Number of entries per request

--search SEARCH                         Filter results

-h, --help                              Print help

but actually they cannot be used:

1. hammer fact list --organization-id 1

400 Bad Request

Field 'organization' not recognized for searching!

2. hammer fact list --location-id 2

400 Bad Request

Field 'location' not recognized for searching!

Version-Release number of selected component (if applicable):

6.4 snap 8

satellite-6.4.0-9.beta.el7sat.noarch

tfm-rubygem-hammer_cli-0.13.0-1.el7sat.noarch

tfm-rubygem-hammer_cli_foreman-0.13.0-1.el7sat.noarch

How reproducible:

always

Additional info:

previous version does not provide org/location options
satellite-6.3.1-3.el7sat.noarch

tfm-rubygem-hammer_cli-0.11.0.1-1.el7sat.noarch

tfm-rubygem-hammer_cli_foreman-0.11.0.5-1.el7sat.noarch

tfm-rubygem-hammer_cli_katello-0.11.3.5-1.el7sat.noarch

1. hammer fact list --help

Usage:

hammer fact list [OPTIONS]

Options:

--order ORDER                 sort results

--page PAGE                   paginate results

--per-page PER_PAGE           number of entries per request

--search SEARCH               filter results

-h, --help                    print help

Associated revisions

Revision 4eb193da - 08/22/2018 08:37 AM - Shira Maximov

Fixes #23979 - add option to search location & organization

History

#1 - 06/18/2018 01:32 PM - Shira Maximov

- Project changed from Foreman to Hammer CLI

- Category set to Facts

#2 - 06/19/2018 08:41 AM - Tomáš Strachota

This is imho an API issue. Apidoc mentions organization_id in the parameters and hammer correctly uses it. Therefore I'd say it's either wrong apidoc

or issue in the controller.

#3 - 06/26/2018 06:41 AM - Shira Maximov

- Project changed from Hammer CLI to Foreman

- Category changed from Facts to API

The problem is in the API it is not possible to run :

http://localhost:3000/api/v2/fact_values?location_id=1

in the api

#4 - 06/26/2018 06:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5740 added

#5 - 08/14/2018 01:31 PM - Shira Maximov

- Assignee set to Shira Maximov

- Triaged set to No

#6 - 08/22/2018 08:37 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added

#7 - 08/22/2018 09:01 AM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset 4eb193da5e909bd9841411936ed4b2be7b64908a.
